ADDR2LINE(1)

NOME
addr2line - converte gli indirizzi in nomi di file e numeri di linea.

SINTASSI
addr2line [-b bfdname|--target=bfdname]
          [-C|--demangle[=style]]
          [-e filename|--exe=filename]
          [-f|--functions] [-s|--basename]
          [-H|--help] [-V|--version]
          [addr addr ...]

DESCRIZIONE
addr2line traduce indirizzi di programmi in nomi di file e numeri di linea. Dato un indirizzo e un eseguibile, esso usa l' informazione di debugging nell'eseguibile per capire quale nome di file e numero di linea sono associati e un dato indirizzo.

L'eseguibile da usare è specificato con l'opzione -e. Il default è il file a.out.

addr2line ha due modalità operative.

Nella prima sulla linea di comando sono specificati indirizzi esadecimali, e addr2line mostra il nome del file e il numero di linea per ciascun indirizzo.

Nella seconda addr2line legge indirizzi esadecimali dallo standard input, e stampa nome file e numero di linea per ciascun indirizzo sullo standard output. In questa modalità addr2line può essere usato in una pipe per convertire indirizzi scelti dinamicamente.

Il formato dell'output è FILENAME:LINENO. Nome file e numero di linea per ciascun indirizzo sono stampati su una linea separata. Se è utilizzata l'opzione -f, allora ciascuna linea FILENAME:LINENO è preceduta da una linea FUNCTIONNAME, che è il nome della funzione contenente l' indirizzo.

Se nome file o nome funzione non possono essere determinati, addr2line stamperà due punti interrogativi al loro posto. Se il numero di linea non può essere determinato, addr2line stamperà 0.

OPZIONI
La forma lunga e breve delle opzioni, mostrate qui in alternativa, sono equivalenti.

-b bfdname
--target=bfdname
    Specifica che il formato object-code per i file oggetto è bfdname.

-C
--demangle[=style]
    Decodifica (demangle) nomi di simboli a basso livello in nomi a livello utente. Oltre a rimuovere ogni underscore iniziale aggiunto dal sistema, questo rende i nomi di funzione C++ leggibili. Differenti compilatori hanno differenti stili di mangling. L'argomento opzionale di stile di demangling può essere usato per scegliere uno stile di demangling appropriato per il proprio compilatore.

-e filename
--exe=filename
    Specifica il nome dell'eseguibile per il quale gli indirizzi devono essere tradotti. Il file di default è a.out.

-f
--functions
    Visualizza informazioni su nomi di funzioni file e numeri di linea.

-s
--basenames
    Visuallizza solo la base di ciascun nome file.

VEDERE ANCHE
Campi informativi per binutils.

COPYRIGHT
Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled ``GNU Free Documentation License''.